package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcTender;

/**
 * 投标管理Mapper接口
 * 
 * @author cmc
 * @date 2024-03-14
 */
public interface CmcTenderMapper 
{
    /**
     * 查询投标管理
     * 
     * @param tenderId 投标管理主键
     * @return 投标管理
     */
    public CmcTender selectCmcTenderByTenderId(String tenderId);

    /**
     * 查询投标管理列表
     * 
     * @param cmcTender 投标管理
     * @return 投标管理集合
     */
    public List<CmcTender> selectCmcTenderList(CmcTender cmcTender);

    /**
     * 新增投标管理
     * 
     * @param cmcTender 投标管理
     * @return 结果
     */
    public int insertCmcTender(CmcTender cmcTender);

    /**
     * 修改投标管理
     * 
     * @param cmcTender 投标管理
     * @return 结果
     */
    public int updateCmcTender(CmcTender cmcTender);

    /**
     * 删除投标管理
     * 
     * @param tenderId 投标管理主键
     * @return 结果
     */
    public int deleteCmcTenderByTenderId(String tenderId);

    /**
     * 批量删除投标管理
     * 
     * @param tenderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcTenderByTenderIds(String[] tenderIds);
}
